Class: Aws::Imagebuilder::Types::CreateImagePipelineRequest

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#client_tokenString

A unique, case-sensitive identifier you provide to ensure that the operation completes no more than one time. If this token matches a previous request, the service ignores the request, but does not return an error. For more information, see Ensuring idempotency in the Amazon EC2 API Reference.

A suitable default value is auto-generated. You should normally not need to pass this option.

Returns:

  • (String)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#container_recipe_arnString

The Amazon Resource Name (ARN) of the container recipe that is used to configure images created by this container pipeline.

Returns:

  • (String)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#descriptionString

The description of the image pipeline.

Returns:

  • (String)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#distribution_configuration_arnString

The Amazon Resource Name (ARN) of the distribution configuration that configures and distributes images created by this image pipeline.

Returns:

  • (String)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#dry_runBoolean

Validates the required permissions and request parameters without making the request. If validation succeeds, the operation returns a DryRunOperationException error response.

Returns:

  • (Boolean)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#enhanced_image_metadata_enabledBoolean

Specifies whether to collect additional information about the image being created, including the operating system (OS) version and package list. Defaults to true.

Returns:

  • (Boolean)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#execution_roleString

The name or Amazon Resource Name (ARN) for the IAM role you create that grants Image Builder access to perform workflow actions.

Returns:

  • (String)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#image_recipe_arnString

The Amazon Resource Name (ARN) of the image recipe that configures images created by this image pipeline.

Returns:

  • (String)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#image_scanning_configurationTypes::ImageScanningConfiguration

Contains settings for vulnerability scans.



1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#image_tagsHash<String,String>

The tags to be applied to the images produced by this pipeline.

Returns:

  • (Hash<String,String>)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#image_tests_configurationTypes::ImageTestsConfiguration

The image test configuration of the image pipeline.



1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#infrastructure_configuration_arnString

The Amazon Resource Name (ARN) of the infrastructure configuration that builds images created by this image pipeline.

Returns:

  • (String)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#logging_configurationTypes::PipelineLoggingConfiguration

Specifies the logging configuration for the image pipeline. Use this to define custom CloudWatch Logs log groups for your pipeline execution logs and image build logs. The service manages log groups with names starting with /aws/imagebuilder/ using the service-linked role. For custom log group names outside of this prefix, you must also provide an executionRole.



1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#nameString

The name of the image pipeline.

Returns:

  • (String)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#scheduleTypes::Schedule

The schedule of the image pipeline.

Returns:



1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#statusString

The status of the image pipeline.

Returns:

  • (String)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#tagsHash<String,String>

The tags of the image pipeline.

Returns:

  • (Hash<String,String>)


1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#workflowsArray<Types::WorkflowConfiguration>

Contains an array of workflow configuration objects.

Returns:



1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1504

class CreateImagePipelineRequest < Struct.new(
  :name,
  :description,
  :image_recipe_arn,
  :container_recipe_arn,
  :infrastructure_configuration_arn,
  :distribution_configuration_arn,
  :image_tests_configuration,
  :enhanced_image_metadata_enabled,
  :schedule,
  :status,
  :tags,
  :image_tags,
  :client_token,
  :image_scanning_configuration,
  :workflows,
  :execution_role,
  :logging_configuration,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end